# Interface methods for submodule: DTITubeSpatialObjectPoint
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TubeSpatialObjectPointProxy as _TubeSpatialObjectPointProxy


# Interface methods for class: DTITubeSpatialObjectPoint
class DTITubeSpatialObjectPointProxy(_TubeSpatialObjectPointProxy):
	def SetTensorMatrix(self, matrix) -> None:
		""""""
		...

	def GetTensorMatrix(self):
		""""""
		...

	def AddField(self, name, value: float) -> None:
		""""""
		...

	def SetField(self, name, value: float) -> None:
		""""""
		...

	def GetFields(self):
		""""""
		...

	def GetField(self, name) -> float:
		""""""
		...

